Create a lob object

- « cubrid_lob2_import

- cubrid_lob2_read »

- PHP Manual
- CUBRID Functions
- Create a lob object

# cubrid_lob2_new

(PECL CUBRID >= 8.4.1)

cubrid_lob2_new — Create a lob object

### Description

cubrid_lob2_new(resource `$conn_identifier` = ?, string `$type` = "BLOB"): resource

The cubrid_lob2_new() function is used to create a lob object (both BLOB and CLOB). This function should be used before you bind a lob object.

### Parameters

`conn_identifier`

  Connection identifier. If the connection identifier is not specified, the last connection opened by cubrid_connect() or cubrid_connect_with_url() is assumed.

`type`

  It may be "BLOB" or "CLOB", it won't be case-sensitive. The default value is "BLOB".

### Return Values

Lob identifier when it is successful, or `false` on failure.

### See Also

- cubrid_lob2_close() - Close LOB object